question

ntuple avatar image
ntuple asked

Manifest for Fire HD submission

Should something be inserted in the manifest identifying an App as compatible with the Fire HD 7 and HD 8.9 ? I've made specific resource directories such as: - res/drawable-sw533dp-hdpi - res/drawable-sw800dp-hdpi but have made no modifications of the manifest. I expect the app to run on everything from the first Kindle Fire to the current releases. thanks
fire tabletsubmission testing distribution
10 |5000 characters needed characters left characters exceeded

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Venkat@Amazon avatar image
Venkat@Amazon answered
Hi ntuple, Thank you for your post. To run your app on all Kindle Fire devices, set the minSdkVersion value less than or equal to 10 and targetSdkVersion value greater than equal to 15 in the android manifest file. Here minSdkVersion represents the minimum API level required for the application to run and targetSdkVersion represent the max API level your app supports. Hope this helps.
10 |5000 characters needed characters left characters exceeded

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.